1. As Karl suggested, we can take average for a long time and compare with the precise location the URC people give us to calculate an offset.
2. When within 10m of the final location, stop and take 100 measurements to determine the actual location. Then use PID to turn to the correct orientation, and then drive for a certain amount of time...
3. After the purepursuit algorithm terminates, take the avg of 100 measurements and then go again